%define pname OpenSSL
%define name python-%{pname}

Summary:	Python interface to the OpenSSL library
Name:		python-%{pname}
Version:	0.13.1
Release:	%mkrel 4
Source:		http://launchpad.net/pyopenssl/main/%{version}/+download/py%pname-%{version}.tar.gz
License:	LGPLv2
Group:		Development/Python
Url:		https://launchpad.net/pyopenssl
BuildRequires:	python-devel
BuildRequires:	openssl-devel
BuildRequires:	texlive-dist
BuildRequires:	python3-devel
Obsoletes:	pyOpenSSL
Provides:	pyOpenSSL

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.

It includes:
* SSL.Connection objects, wrapping the methods of Python's portable sockets;
* callbacks written in Python;
* an extensive error-handling mechanism, mirroring OpenSSL's error codes;
* and much more.

%package -n python3-%{pname}
Summary:	Python wrapper module around the OpenSSL library
Group:		Development/Python

%description -n python3-%{pname}
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes


%package doc
Summary:	Documentation for python-%{pname}
BuildArch:	noarch

%description doc
Documentation for python-OpenSSL

%prep
%setup -q -n py%pname-%version
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd doc
make dvi PAPER=letter
dvipdfm pyOpenSSL.dvi
popd

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd


%files
%{python_sitearch}/OpenSSL/
%{python_sitearch}/pyOpenSSL-*.egg-info


%files -n python3-%{pname}
%{python3_sitearch}/OpenSSL/
%{python3_sitearch}/pyOpenSSL-*.egg-info


%files doc
%doc TODO README INSTALL ChangeLog examples/ doc/pyOpenSSL.pdf



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.13.1-4.mga4
+ Revision: 543013
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13.1-3.mga4
+ Revision: 498077
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 23 2013 philippem <philippem> 0.13.1-2.mga4
+ Revision: 484420
- Python 3 subpackage
- Split documentation off into noarch subpackage
- Change BuildRequires to texlive-dist

* Mon Sep 09 2013 oden <oden> 0.13.1-1.mga4
+ Revision: 476686
- 0.13.1 (fixes CVE-2013-4314)

* Sun Jan 13 2013 umeabot <umeabot> 0.13-2.mga3
+ Revision: 378442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 blino <blino> 0.13-1.mga3
+ Revision: 337650
- 0.13 (needed for mitmproxy)

* Sun Jun 19 2011 kharec <kharec> 0.12-1.mga2
+ Revision: 109720
- new version 0.12

* Sat Apr 16 2011 ahmad <ahmad> 0.11-1.mga1
+ Revision: 86767
- update to 0.11
- change Url and Source urls to the new upstream web site
- drop explicit python runtime requires, already handled by the rpm build scripts
- move the cleaning of buildroot to %%install instead of %%prep

* Wed Mar 30 2011 ahmad <ahmad> 0.10-5.mga1
+ Revision: 78969
- replace tetex BR with texlive

* Thu Jan 20 2011 erwan <erwan> 0.10-4.mga1
+ Revision: 27425
- imported package python-OpenSSL


* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 0.10-4mdv2011.0
+ Revision: 589930
- rebuild for python 2.7

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.10-3mdv2010.1
+ Revision: 532466
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdv2010.1
+ Revision: 511630
- rebuilt against openssl-0.9.8m

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 0.10-1mdv2010.1
+ Revision: 487797
- New version 0.10

* Sat Sep 19 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.9-1mdv2010.0
+ Revision: 444738
- Updated to 0.9

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.8-1mdv2009.1
+ Revision: 318615
- new release 0.8

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0.7-2mdv2009.1
+ Revision: 318411
- rebuild for new python

* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 0.7-1mdv2009.0
+ Revision: 272987
- Update to 0.7.
  Include manual.

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.6-6mdv2009.0
+ Revision: 225137
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-5mdv2008.1
+ Revision: 116966
- rebuild for new docdir policy (no version in docdir)
- quiet %%setup

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.6-4mdv2007.0
+ Revision: 88147
- Import python-OpenSSL

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.6-4mdv2007.1
- update file list

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdk
- rebuilt against openssl-0.9.8a

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.6-2mdk
- Rebuild for new python

* Sat Nov 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- New release 0.6

* Sun Jun 13 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.1-3mdk
- Fix BuildRequires

* Wed Jun 02 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.1-2mdk
- Respect naming convention
- DIRM

* Wed Apr 21 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.1-1mdk
- First Mandrakelinux version

